import req from '@/request'
const portal = window.context.portal
const headers = {
    'Content-type': 'application/x-www-form-urlencoded'
}
export default {
    //分页查询 问卷结果
    queryData(data, cb) {
        req.post(portal + `/exam/paper/base/findByPage`, data).then(res => {
            cb(res.data)
        })
    },
    //问卷结果-投票统计
    previewTest(data, cb) {
        req.get(portal + `/exam/user/record/statistics/${data.recordId}`, data).then(res => {
            cb(res.data)
        })
    },
    // 分页查询 调查明细
    queryInvestigate(data, cb) {
        req.post(portal + `/exam/user/record/paperQuery`, data).then(res => {
            cb(res.data)
        })
    },
}
